curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/requests \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/waap/v1/domains/{domain_id}/requests"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"id": "<string>",
"path": "<string>",
"client_ip": "<string>",
"method": "<string>",
"rule_name": "<string>",
"country": "<string>",
"action": "<string>",
"rule_id": "<string>",
"domain": "<string>",
"domain_id": 123,
"user_agent": "<string>",
"user_agent_client": "<string>",
"organization": "<string>",
"request_time": 123,
"reference_id": "<string>",
"status_code": 123,
"result": "passed",
"traffic_types": "<string>",
"decision": "blocked",
"optional_action": "captcha",
"session_id": "",
"scheme": "https",
"http_version": "1.1",
"ja3": "e7d705a3286e19ea42f587b344ee6865"
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Get Requests
Retrieve a domain’s requests data. Deprecated. Use GET /v2/analytics/events instead.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The domain ID
Query Parameters
Sort the response by given field.
Filter the response by IP.
Filter the response by reference ID.
^[a-fA-F0-9]{32}$"ad07c06f19054e484974fa22e9fb6bb1"
Filter the response by response code.
100 <= x <= 599Filter the response by security rule name.
100^[a-zA-Z0-9_ ~!@#$%^&*()+\[\]{}|.,;:<>?/-]*$Filter the response by country codes in ISO 3166-1 alpha-2 format.
^\w{2}$Filter the response by actions.
An action applied to a request according to the security configuration.
allow, block, captcha, handshake Filter the response by traffic types.
A type of traffic that a request is categorized as.
policy_allowed, policy_blocked, custom_rule_allowed, custom_blocked, legit_requests, sanctioned, dynamic, api, static, ajax, redirects, monitor, err_40x, err_50x, passed_to_origin, timeout, other, ddos, legit, monitored Filter data items starting from a specified date in ISO 8601 format
"2024-04-13T00:00:00+01:00"
Filter data items up to a specified end date in ISO 8601 format. If not provided, defaults to the current date and time.
"2024-04-14T12:00:00Z"
Number of items to return
0 <= x <= 100Number of items to skip
0 <= x <= 100000Response
Successful Response
Was this page helpful?